Loading...
Searching...
No Matches
VideoRenderer Class Reference

`#include <Qt/VideoRenderer.h>`

Inheritance diagram for VideoRenderer:

## Signals

void | present (const QImage &image)

## Public Member Functions

void | OverrideWidget (int64_t qwidget_address)
| Override QWidget which needs to be painted.
| VideoRenderer (QObject *parent=0)
| ~VideoRenderer ()
Public Member Functions inherited from openshot::RendererBase
void | paint (const std::shared_ptr< openshot::Frame > &frame)
| Paint(render) a video Frame.

## Protected Member Functions

void | render (std::shared_ptr< QImage > image)
Protected Member Functions inherited from openshot::RendererBase
| RendererBase ()
virtual | ~RendererBase ()

## Detailed Description

Definition at line 24 of file VideoRenderer.h.

## Constructor & Destructor Documentation

## VideoRenderer()

VideoRenderer::VideoRenderer | ( | QObject * | parent = `0` | ) |

Definition at line 16 of file VideoRenderer.cpp.

## ~VideoRenderer()

VideoRenderer::~VideoRenderer | ( |  | ) |

Definition at line 21 of file VideoRenderer.cpp.

## Member Function Documentation

## OverrideWidget()

void VideoRenderer::OverrideWidget | ( | int64_t | qwidget_address | ) |

virtual

Override QWidget which needs to be painted.

Implements openshot::RendererBase.

Definition at line 26 of file VideoRenderer.cpp.

## present

void VideoRenderer::present | ( | const QImage & | image | ) |

signal

Referenced by render().

## render()

void VideoRenderer::render | ( | std::shared_ptr< QImage > | image | ) |

protected virtual

Implements openshot::RendererBase.

Definition at line 33 of file VideoRenderer.cpp.

The documentation for this class was generated from the following files:

- Qt/VideoRenderer.h
- Qt/VideoRenderer.cpp